org.eclipse.graphiti.mm.algorithms.styles

## Interface TextStyleRegion

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TextStyleRegionImpl

    public interface TextStyleRegion
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Text Style Region'.

Since:
  0.10

  The following features are supported:

  - `Start`
  - `End`
  - `Style`
See Also:
  `StylesPackage.getTextStyleRegion()`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getEnd()` Returns the value of the 'End' attribute.
`int` `getStart()` Returns the value of the 'Start' attribute.
`TextStyle` `getStyle()` Returns the value of the 'Style' containment reference.
`void` `setEnd(int value)` Sets the value of the '`End`' attribute.
`void` `setStart(int value)` Sets the value of the '`Start`' attribute.
`void` `setStyle(TextStyle value)` Sets the value of the '`Style`' containment reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getStart

    int getStart()

Returns the value of the 'Start' attribute.

If the meaning of the 'Start' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Start' attribute.
See Also:
  `setStart(int)`, `StylesPackage.getTextStyleRegion_Start()`

#### setStart

    void setStart(int value)

Sets the value of the '`Start`' attribute.

Parameters:
  `value` - the new value of the 'Start' attribute.
See Also:
  `getStart()`

#### getEnd

    int getEnd()

Returns the value of the 'End' attribute.

If the meaning of the 'End' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'End' attribute.
See Also:
  `setEnd(int)`, `StylesPackage.getTextStyleRegion_End()`

#### setEnd

    void setEnd(int value)

Sets the value of the '`End`' attribute.

Parameters:
  `value` - the new value of the 'End' attribute.
See Also:
  `getEnd()`

#### getStyle

    TextStyle getStyle()

Returns the value of the 'Style' containment reference.

If the meaning of the 'Style' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Style' containment reference.
See Also:
  `setStyle(TextStyle)`, `StylesPackage.getTextStyleRegion_Style()`

#### setStyle

    void setStyle(TextStyle value)

Sets the value of the '`Style`' containment reference.

Parameters:
  `value` - the new value of the 'Style' containment reference.
See Also:
  `getStyle()`